# 登录接口

和服务器对接的时候需要提供Token数据,该接口可以用于获取Token

## 修改记录


## 接口定义

    /v1/login
    POST

## Request

API请求参数

### Head

    X-LoginType          {String}        登录方式
    X-Sign               {String}*       签名信息, 客户端用公钥加密字符串: {deviceSN}\n{activeName}\n{timestamp}
    X-DeviceInformation  {String}*       设备信息, 格式为: {osName}/{osVersion}/{appVersion}/{deviceSN}/{activeName}


### Form Parameters

    activeAccount          {String}
    activeCode             {String}
    location               {String}

## Response

### Example


**Command**

##### Android

    curl -X POST \
       -H "X-WS-LoginType: School" \
       -H "X-WS-Sign: csqQ4FKqnCmKDNoeHZu9lDkh7zxkKjXB2oQQhXV8WJwlIwIIgXZ1h8SDXNfZz3cRKJZW/5X8ZQYturQIk07qJ17+zBk4OhoaRLM27MbRQX6j/fzZ+82q/6q1qWswxCqcKnm/rKpIqH4/4s8CAgnBw+ZNKPcEN5rVaSLj88FYzpM=" \
       -H "X-DeviceInformation: Android%2F5.0%2F4.8%2Fxxxxx%2FtestName" \
       http://localhost:8080/v1/login

**Output**

    {
      "data": {
        "accessToken": "30932365e4a5440848fb8726a4bb47a7",
        "expiredIn": 7200,
        "refreshToken": "f8a03e9322d8400e5305d88a3a776b4b",
        "refreshTokenExpiredIn": 2592000
      },
      "errno": 200,
      "msg": "success"
    }